Subject: Re: [bug#34865] [PATCH] Add emacs-zones.
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Cc: Ricardo Wurmus <[email-masked]>, Brian Leung <[email-masked]>, Ludovic Courtès <[email-masked]>
Date: Wed, 27 Mar 2019 22:27:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ludovic Courtès <[email-masked]> writes:

[…]

>>>>>> Could we use emacs-zones from Elpa? See
>>>>>> https://elpa.gnu.org/packages/zones.html . ‘guix import elpa
>>>>>> emacs-zones’ will produce a decent ‘origin’ record to pull a source.
>>>>>
>>>>> My understanding is that ELPA and MELPA tarballs are not necessarily
>>>>> persistent and immutable, and that we generally prefer referring
>>>>> directly to the upstream repo.
>>>>
>>>> Ouch, I thought ELPA is persistent.  That's a significant argument to
>>>> not use ELPA for our purposes :-( .
>>
>> I only know that MELPA isn’t immutable.  I assumed that ELPA is fine.
>
> [...]
>
>> git-fetch is the preferred way when there are no stable tarballs.
>
> So, Oleg, I think you can go either way, but fetching over Git is
> probably safer.
>
> Can you apply the patch?

OK, pushed as c881ed8698517a2c2007c2fdc3a7aeec52ff109c with a source
fetching over Git.

Thanks,
Oleg.